at.chipkarte.client.auth.soap

## Class VertragspartnerV2

- Object
- - at.chipkarte.client.auth.soap.VertragspartnerV2

-     public class VertragspartnerV2
      extends Object

  Enthält Informationen zu einem Vertragspartner.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertragspartnerV2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnredeCode()` Code für die Anrede des Vertragspartners.
    `AuthenticationStatus` | `getAuthenticationStatus()` Status der Authentifizierung.
    `String` | `getDruckNachname()` Nachname des Vertragspartners im UTF-8 Zeichensatz.
    `String` | `getDruckTitelHinten()` Titel hinten des Vertragspartners im UTF-8 Zeichensatz.
    `String` | `getDruckTitelVorne()` Titel vorne des Vertragspartners im UTF-8 Zeichensatz.
    `String` | `getDruckVorname()` Vorname des Vertragspartners im UTF-8 Zeichensatz.
    `String` | `getGeburtsdatum()` Geburtsdatum des Vertragspartners.
    `String` | `getNachname()` Nachname des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `Ordination[]` | `getOrdination()` Liste der Ordinationsadressen des Vertragspartners.
    `String` | `getTitelHinten()` Titel hinten des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `String` | `getTitelVorne()` Titel vorne des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `String` | `getVorname()` Vorname des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `String` | `getVpId()` Vertragspartner-Id.
    `String` | `getVpNummer()` Nummer des Vertragspartners.
    `void` | `setAnredeCode(String anredeCode)`
    `void` | `setAuthenticationStatus(AuthenticationStatus authenticationStatus)`
    `void` | `setDruckNachname(String druckNachname)`
    `void` | `setDruckTitelHinten(String druckTitelHinten)`
    `void` | `setDruckTitelVorne(String druckTitelVorne)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setNachname(String nachname)`
    `void` | `setOrdination(Ordination[] ordination)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`
    `void` | `setVpId(String vpId)`
    `void` | `setVpNummer(String vpNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertragspartnerV2

          public VertragspartnerV2()

  - ### Method Detail

    - #### getOrdination

          public Ordination[] getOrdination()

      Liste der Ordinationsadressen des Vertragspartners.
      Returns:
        Liste der Ordinationen

    - #### getAuthenticationStatus

          public AuthenticationStatus getAuthenticationStatus()

      Status der Authentifizierung.
      Returns:
        Status der Authentifizierung

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 30-stellig
      Returns:
        Titel hinten

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Vertragspartners.
      Format: TT.MM.JJJJ
      Returns:
        Geburtsdatum

    - #### getVorname

          public String getVorname()

      Vorname des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 70-stellig
      Returns:
        Vorname

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten..
      Format: maximal 30-stellig
      Returns:
        Titel vorne

    - #### getNachname

          public String getNachname()

      Nachname des Vertragspartners im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 70-stellig
      Returns:
        Nachname

    - #### getDruckVorname

          public String getDruckVorname()

      Vorname des Vertragspartners im UTF-8 Zeichensatz.
      Format: maximal 70-stellig
      Returns:
        Druckvorname

    - #### getDruckNachname

          public String getDruckNachname()

      Nachname des Vertragspartners im UTF-8 Zeichensatz.
      Format: maximal 70-stellig
      Returns:
        Drucknachname

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      Titel hinten des Vertragspartners im UTF-8 Zeichensatz.
      Format: maximal 30-stellig
      Returns:
        Drucktitel hinten

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      Titel vorne des Vertragspartners im UTF-8 Zeichensatz.
      Format: maximal 30-stellig
      Returns:
        Drucktitel vorne

    - #### getAnredeCode

          public String getAnredeCode()

      Code für die Anrede des Vertragspartners.
      Mögliche Werte siehe `Anrede`.
      Format: 1-stellig
      Returns:
        Anredecode

    - #### getVpNummer

          public String getVpNummer()

      Nummer des Vertragspartners. Es handelt sich um die auf der o-card stehende Nummer, welche als Referenz und/oder zur Identifizierung des Vertragspartners in Funktionen der Schnittstelle dient.
      Format: 6-stellig
      Returns:
        Vertragspartnernummer

    - #### getVpId

          public String getVpId()

      Vertragspartner-Id.
      Eine interne Id des Vertragspartners, welche aber NICHT als Referenz und/oder zur Identifizierung des Vertragspartners in Funktionen dieser Schnittstelle herangezogen wird.
      Format: maximal 19-stellig
      Returns:
        Vertragspartner-Id

    - #### setAnredeCode

          public void setAnredeCode(String anredeCode)

    - #### setAuthenticationStatus

          public void setAuthenticationStatus(AuthenticationStatus authenticationStatus)

    - #### setDruckNachname

          public void setDruckNachname(String druckNachname)

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String druckTitelHinten)

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String druckTitelVorne)

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setNachname

          public void setNachname(String nachname)

    - #### setOrdination

          public void setOrdination(Ordination[] ordination)

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setVpId

          public void setVpId(String vpId)

    - #### setVpNummer

          public void setVpNummer(String vpNummer)